### Functions

## Returns the version number of this LAM installation.

    LAMVersion() : string

Format: <major version>.<minor version>.<patch level>
Major/minor version are always numbers, patch level may contain letters for inofficial releases only (e.g. 0.5.alpha1).

### Returns

`string`version number

## Checks whether a specific flag in the rights string is set.

    checkChmod(\$right $right, \$target $target, \$chmod $chmod) : \true,

### Parameters

#### $right

`\$right`

read,write or execute

#### $target

`\$target`

owner,group or other

#### $chmod

`\$chmod`

the chmod rights

### Returns

`\true,`if the chmod $right for $target were set

## Checks user input and saves the entered settings.

    checkInput() : array

### Returns

`array`list of errors

## Checks user input and saves the entered settings.

    checkInput() : array

### Returns

`array`list of errors

## Checks user input and saves the entered settings.

    checkInput() : array

### Returns

`array`list of errors

## Checks user input and saves the entered settings.

    checkInput() : array

### Returns

`array`list of errors

## Displays the module selection boxes and checks if dependencies are fulfilled.

    config_showAccountModules(string $scope, string $title, \htmlTable $container)

### Parameters

#### $scope

`string`

account type

#### $title

`string`

title for module selection (e.g. "User modules")

#### $container

`\htmlTable`

meta HTML container

## Deletes the given server profile.

    deleteConfigProfile(String $name) : String

### Parameters

#### $name

`String`

profile name

### Returns

`String`null if success or error message if failed

## Returns an array of string with all available configuration profiles (without .conf)

    getConfigProfiles() : array

### Returns

`array`profile names

## Checks if the given account type is hidden.

    isAccountTypeHidden(String $type) : boolean

### Parameters

#### $type

`String`

account type (e.g. user)

### Returns

`boolean`is hidden

## Prints a meta refresh page

    metaRefresh(string $page)

### Parameters

#### $page

`string`

the URL of the target page

## Sets language settings for automatic translation

    setlanguage()

### Classes and interfaces

# LAMCfgMain¶

This class manages config.cfg.

« More »

# LAMConfig¶

This class manages .conf files.

« More »